package com.alterdekim.flash.decompiler.item.internal;

import com.alterdekim.flash.decompiler.item.ActionPushType;
import com.alterdekim.flash.decompiler.item.ByteCodeItem;
import lombok.AllArgsConstructor;

import java.util.HashMap;

@AllArgsConstructor
public class InitObjectItem extends ByteCodeItem {

    private HashMap<String, Object> val;

    @Override
    public ActionPushType getType() {
        return ActionPushType.INIT_OBJECT;
    }

    @Override
    public Object getValue() {
        return this.val;
    }
}
