package com.alterdekim.flash.decompiler.util;

public enum ActionField {
    ConstantPool((byte) 0x88),
    Push((byte) 0x96),
    InitObject((byte) 0x43),
    DefineLocal((byte) 0x3C),
    DefineLocal2((byte) 0x41),
    SetMember((byte)0x4F),
    GetMember((byte) 0x4E),
    GetVariable((byte) 0x1C),
    SetVariable((byte) 0x1D),
    Add((byte) 0x47),
    Unknown((byte) 0x00);

    public final byte id;

    ActionField(byte id) {
        this.id = id;
    }

    public static ActionField fromId(int id) {
        for( ActionField type : ActionField.values()) {
            if( type.id == id ) return type;
        }
        return Unknown;
    }
}
